Skip to main content
Resource Center/Network Service/Network Service Operations
GETNetwork Service OperationsSince 0.6SynchronousAuth Required

QueryNetworkServiceProvider

QueryNetworkServiceProvider

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • networkServiceTypesSetRequired

      No description provided.

    • attachedL2NetworkUuidsSetRequired

      No description provided.

Endpoint

GET/zstack/v1/network-services/providers

/zstack/v1/network-services/providers

Operation ID

QueryNetworkServiceProvider

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/network-services/providers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3cf04a2c5e1a4c4c8947545323e35d6a", "name": "SecurityGroup", "type": "SecurityGroup", "createDate": "Jun 7, 2017 9:21:03 PM", "lastOpDate": "Jun 7, 2017 9:21:03 PM", "networkServiceTypes": [ "SecurityGroup" ], "attachedL2NetworkUuids": [] } ] }

Change History

This API has no change history records yet.

View all change history